# -*- coding: utf-8 -*-

def index():
	return dict(message=T('Escolha o seu consumo:'))

def user():
	return dict(form=auth())

@auth.requires_login()
def texto():
	textos = [
		dict(
			id = texto['id'],
			conteudo = texto['conteudo'],
		)
		for texto in db().select(db.texto.ALL, orderby=~db.texto.data_upload)
	]
	textos = db().select(db.texto.ALL, orderby=~db.texto.data_upload)
	return dict(textos=textos)

@auth.requires_login()
def imagem():
	imagens = [
		dict(
			id = imagem['id'],
			arquivo = imagem['arquivo'],
		)
		for imagem in db().select(db.imagem.ALL, orderby=~db.imagem.data_upload)
	]
	imagens = db().select(db.imagem.ALL, orderby=~db.imagem.data_upload)
	return dict(imagens=imagens)

@auth.requires_login()
def audio():
	response.flash = 'Mentira!'
	return dict(message='Esta área do site ainda não foi implementada :/')

@auth.requires_login()
def video():
	response.flash = 'Mentira!'
	return dict(message='Esta área do site ainda não foi implementada :/')

@auth.requires_login()
def tudo():
	response.flash = 'Mentira!'
	return dict(message='Esta área do site ainda não foi implementada :/')

def nada():
	response.flash = 'Mentira!'
	return dict(message='Esta área do site ainda não foi implementada :/')

@cache.action()
def download():
	return response.download(request, db)

def call():
	return service()


